Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 39
Number of unique artifacts (NOA): 49
Number of version-conflicting artifacts (NOC): 4
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 79 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

org.apache.maven.shared:maven-shared-utils

[Error]
3.0.0
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.apache.maven.shared:maven-filtering:jar:3.1.1:compile
       \- (org.apache.maven.shared:maven-shared-utils:jar:3.0.0:compile - omitted for conflict with 3.2.0)

3.2.0
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.apache.maven:maven-archiver:jar:3.2.0:compile
       \- org.apache.maven.shared:maven-shared-utils:jar:3.2.0:compile

org.codehaus.plexus:plexus-archiver

[Error]
2.2
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:2.1:test
       \- (org.codehaus.plexus:plexus-archiver:jar:2.2:test - omitted for conflict with 3.5)

3.5
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    +- org.apache.maven:maven-archiver:jar:3.2.0:compile
    |  \- (org.codehaus.plexus:plexus-archiver:jar:3.5:compile - omitted for duplicate)
    \- org.codehaus.plexus:plexus-archiver:jar:3.5:compile

org.codehaus.plexus:plexus-interpolation

[Error]
1.14
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    +- org.apache.maven:maven-core:jar:3.0:compile
    |  +- org.apache.maven:maven-settings-builder:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.14:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.14:compile - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.14:compile - omitted for conflict with 1.24)
    \- org.apache.maven:maven-compat:jar:3.0:test
       \- (org.codehaus.plexus:plexus-interpolation:jar:1.14:test - omitted for conflict with 1.24)

1.22
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    +- org.apache.maven:maven-archiver:jar:3.2.0:compile
    |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.22:compile - omitted for conflict with 1.14)
    \- org.apache.maven.shared:maven-filtering:jar:3.1.1:compile
       \- (org.codehaus.plexus:plexus-interpolation:jar:1.22:compile - omitted for conflict with 1.14)

1.24
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.codehaus.plexus:plexus-interpolation:jar:1.24:compile

org.codehaus.plexus:plexus-utils

[Error]
1.4.2
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.apache.maven:maven-compat:jar:3.0:test
       \- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:test
          \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:test - omitted for conflict with 3.1.0)

1.5.5
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.apache.maven:maven-core:jar:3.0:compile
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 2.0.4)

1.5.8
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.apache.maven.shared:maven-filtering:jar:3.1.1:compile
       \- org.sonatype.plexus:plexus-build-api:jar:0.0.7:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.8:compile - omitted for conflict with 2.0.4)

2.0.4
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    +- org.apache.maven:maven-plugin-api:jar:3.0:compile
    |  \- org.apache.maven:maven-model:jar:3.0:compile
    |     \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:3.0:compile
    |  +- org.apache.maven:maven-settings:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-repository-metadata:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for conflict with 3.1.0)
    +- org.apache.maven:maven-artifact:jar:3.0:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    \- org.apache.maven:maven-compat:jar:3.0:test
       \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:test - omitted for conflict with 3.1.0)

2.0.5
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.0.5:compile - omitted for conflict with 2.0.4)

3.0.24
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    +- org.apache.maven:maven-archiver:jar:3.2.0:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 2.0.4)
    +- org.apache.maven.shared:maven-filtering:jar:3.1.1:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 2.0.4)
    \- org.codehaus.plexus:plexus-archiver:jar:3.5:compile
       +- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 3.1.0)
       \- org.codehaus.plexus:plexus-io:jar:3.0.0:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 3.1.0)

3.1.0
    org.apache.maven.plugins:maven-ejb-plugin:maven-plugin:3.0.0
    \- org.codehaus.plexus:plexus-utils:jar:3.1.0:compile